## org.eclipse.jet
Interface JET2TemplateLoader

    public interface JET2TemplateLoader

A loader for templates within a transform.

Method Summary
`JET2Template` `getTemplate(java.lang.String templatePath)` Return an instance of the specified template, or `null`.

Method Detail

### getTemplate

    JET2Template getTemplate(java.lang.String templatePath)

  Return an instance of the specified template, or `null`.

  This class is not typically implemented by clients. The JET2 compiler will emit an instance of this class for each JET2 project.

  Parameters:
    `templatePath` - a transform project relative path to the template.
  Returns:
    the template instance or `null` if the template cannot be found

Copyright 2006 IBM Corporation and others. All Rights Reserved.